#!/bin/bash
if [ "$1" != "" ]; then
  FILE=$1
else
  printf "No file name provided"
  exit
fi

file -b $FILE | grep -Ee "text|empty" >&2
if [ "$?" == 0 ]; then
  cat $FILE
else
  printf "$FILE is not a text file" >&2
  file -b $FILE
fi
