import QtQuick 2.4
import QtQuick.Controls 1.3
import QtQuick.Layouts 1.1
import Qt.labs.settings 1.0

Item {
    id: page
    property int requiredWidth: 150
    anchors.fill: parent
    anchors.margins: 3

    Settings {
        property alias hellocount: hellocount.text  // Persistent parameter
    }

    ColumnLayout {
        width: parent.width-10
        anchors.horizontalCenter: parent.horizontalCenter
        spacing: 5
        Text {
            id: title
            height: 20
            text: "Iterations"
            font.bold: true
            horizontalAlignment: Qt.AlignHCenter
        }
        TextField {
            id: hellocount
            Layout.fillWidth: true
            height: 25
            text: "10"
            validator: IntValidator { bottom: 0; top: 200; }
            horizontalAlignment: Qt.AlignHCenter
            onTextChanged: sx_scriptargs = text;       // Set global variable sx_scriptargs
        }
    }
}
